/* $Id: omega_bpm.h,v 1.1.1.1 2011-03-16 11:59:34 agabasch Exp $
 *
 * This file is part of the OMEGA Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: agabasch $
 * $Date: 2011-03-16 11:59:34 $
 * $Revision: 1.1.1.1 $
 * $Name: not supported by cvs2svn $
 */

#ifndef OC_BPM_H
#define OC_BPM_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

cpl_image * clean_deadpix_median(cpl_image *, cpl_mask *, int );
cpl_mask *makebpm(const cpl_frame *, const cpl_frame *, int );
/*cpl_mask * create_saturated_map(const cpl_frame *, cpl_parameterlist *);*/
cpl_mask * create_saturated_map(const cpl_frame *frame, int oc, int ext, cpl_parameterlist *spars);
cpl_image * create_weightframe(cpl_image *, cpl_image *, cpl_mask *,cpl_mask *);
cpl_mask * omega_saturated_map(cpl_image *trim, int oc, cpl_parameterlist *spars);
cpl_mask *omega_bpm_create(cpl_image *img, cpl_parameterlist *pars);

#endif
